<template>
  <div>
    <EntryBanner
      :games="sortedSports"
      :tag-line="$t('c88d_entry_banner_sports_tagline')"
    />
  </div>
</template>

<script lang="ts">
import { computed, defineComponent } from "vue";
import EntryBanner from "./components/EntryBanner.client.vue";
import { store } from "@/store";
import { GameBsi } from "@/models/bsiGameList";
import { gameStore } from "~~/store/game";
import _ from "lodash-es";

export default defineComponent({
  name: "Sport",
  components: {
    EntryBanner,
  },
  setup() {
    const games = computed(() =>
      gameStore.state.games.map((item) => new GameBsi(item))
    );
    const orderByGameIDDesktop = [61, 1 , 59];
    const sports = games.value.filter(
      (game) => game.Category === 1 && game.ForDesktop && game.IsEnabled
    );
    const sortedSports = _.sortBy(sports, (game) => {
      const index = orderByGameIDDesktop.indexOf(game.GameId);
      return index === -1 ? game.DisplayOrder : index;
    });
    return {
      sports,
      sortedSports,
    };
  },
});
</script>
